确认嘉宾报名(来自邮件中的链接)
POST
/v1/registrations/confirm
const url = 'https://api.vimine.network/v1/registrations/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/registrations/confirm \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'使用确认链接所携带的令牌:免费类型即确认(响应中带有二维码 token),需付参与费的类型则在活动设定的保留期限内为其保留名额,响应中带有 payment_instructions。重放是幂等的。
请求体必填
章节“请求体必填”媒体类型application/json
object
token
必填
string
示例自动生成
{ "token": "example"}响应
章节“响应”200
章节“200”该报名
媒体类型application/json
object
id
string 格式: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
checked_in_at
string 格式: date-time
cancelled_at
string 格式: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions
保留期间如何缴纳参与费
string
note
当事人填写的自由文本。如果协会声明其处理特殊类别的数据,则对第三方客户端隐去(null)
string
created_at
string 格式: date-time
token
报名的二维码内容(vmt_…),仅限已确认的报名
string
示例
{ "status": "reserved"}400
章节“400”链接无效或已过期(invalid_token)
404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}409
章节“409”该报名已不再有效,或活动已取消
429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}